package com.websphere.examples;

import javax.jms.Message;
import javax.jms.JMSException;
import javax.jms.QueueBrowser;

import java.util.Enumeration;

public class JmsBrowser extends JmsBase
{
	private QueueBrowser browser = null;
	
	public JmsBrowser()
	{
		super();
		try {
			if (browser != null)
				browser.close();
		} catch (JMSException jmsex) {
			recordFailure(jmsex);
		}
	}
	
	@Override
	protected void doAction() 
	{
        // Список сообщений
    	Enumeration<?> messages = null;
		try {
	    	browser = session.createBrowser(destination);
	        // Чтение сообщений
			messages = browser.getEnumeration();

			int count = 0;
	    	Message message;
	    	// Просмотр сообщений
	    	System.out.println("Просмотр JMS сообщений : ");
	    	while (messages.hasMoreElements()) {
	    		message = (Message) messages.nextElement();
	    		System.out.println("\nСообщение " + (++count) + " :");
	    		System.out.println(message);
	    	}
	    	System.out.println("\nПросмотр JMS сообщений завершен\n");
		} catch (JMSException e) {
			e.printStackTrace();
		}
	}
	public static void main(String[] args) 
	{
		new JmsBrowser ();
		System.exit(status);
	}
}
